Page MenuHomePhabricator

Some (recent?) uploads to Commons are not available on other wikis
Closed, ResolvedPublicBUG REPORT

Description

First reported at https://commons.wikimedia.org/wiki/Commons:Village_pump#Uploaded_images_are_not_showing_on_Wikipedias,_and_Wikidata

Some recently-uploaded files are not available on other wikis. The files show up in GlobalUsage, but are redlinked on pages. The broken files I have found were predominantly uploaded using cross-wiki uploads, but the Commons UploadWizard is also represented. I feel that I've checked enough files to say that uploads from Special:Upload and the upload API are not affected or are affected at a very small rate.

Commons fileFile on enwikiUpload toolNote
https://commons.wikimedia.org/wiki/File:Fiona_Fiedler.jpghttps://en.wikipedia.org/wiki/File:Fiona_Fiedler.jpgCross-wiki upload
https://commons.wikimedia.org/wiki/File:Lucille-Mareen_Mayr_(2018).jpghttps://en.wikipedia.org/wiki/File:Lucille-Mareen_Mayr_(2018).jpgCross-wiki uploadWas broken, is now working
https://commons.wikimedia.org/wiki/File:Dieter_Buchhart.jpghttps://en.wikipedia.org/wiki/File:Dieter_Buchhart.jpgUploadWizard
https://commons.wikimedia.org/wiki/File:Samuele_Gabai-_Grembo-bosco_(1987).jpghttps://en.wikipedia.org/wiki/File:Samuele_Gabai-_Grembo-bosco_(1987).jpgCross-wiki upload
https://commons.wikimedia.org/wiki/File:Minister_venko_filipche.jpghttps://en.wikipedia.org/wiki/File:Minister_venko_filipche.jpgCross-wiki upload
https://commons.wikimedia.org/wiki/File:Rupesh_Bhati.jpghttps://en.wikipedia.org/wiki/File:Rupesh_Bhati.jpgCross-wiki upload
https://commons.wikimedia.org/wiki/File:Disco_con_obras_de_Tom%C3%A1s_Garbizu.jpghttps://en.wikipedia.org/wiki/File:Disco_con_obras_de_Tom%C3%A1s_Garbizu.jpgCross-wiki upload
https://commons.wikimedia.org/wiki/File:Imran_Khan_at_Hotel_Sindbad.jpghttps://en.wikipedia.org/wiki/File:Imran_Khan_at_Hotel_Sindbad.jpgCross-wiki upload
https://commons.wikimedia.org/wiki/File:Langhaus,_Blick_zum_Altar.jpghttps://en.wikipedia.org/wiki/File:Langhaus,_Blick_zum_Altar.jpgCross-wiki upload
https://commons.wikimedia.org/wiki/File:Kassel_Strassenbahn_Netzplan_Stand_03-2020.jpghttps://en.wikipedia.org/wiki/File:Kassel_Strassenbahn_Netzplan_Stand_03-2020.jpgCross-wiki upload
https://commons.wikimedia.org/wiki/File:Samuele_Gabai_-_Presenza_(1990)_correct_file.jpghttps://en.wikipedia.org/wiki/File:Samuele_Gabai_-_Presenza_(1990)_correct_file.jpgCross-wiki upload
https://commons.wikimedia.org/wiki/File:Pigeons_of_the_dome_1997.jpghttps://en.wikipedia.org/wiki/File:Pigeons_of_the_dome_1997.jpgUploadWizard

Enwiki links are used for convenience, this issue is known to affect dewiki, itwiki, and wikidata as well.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

To get a rough idea of how broadly this is happening, I grabbed a list of the latest 50 uploads to Commons.

6 of 50 were broken in this way, and the broken ones consistently returned a 200 on commons/test.wikipedia/test2.wikipedia, but a 404 on all of hewiki, cawiki, enwiki, dewiki, itwiki, wikidata, and enwikivoyage.

Methodolgy: first, using the XPath support in Chrome's devtools JS console, extract a list of recent filenames:

$x('//a[@class="galleryfilename galleryfilename-truncate"]').map(x=>x.innerText)

Then I scraped those across a bunch of wikis:

testtest2hecaendeitwikidatwvoyenfile
200200200200200200200200200Atlantean.svg
200200200200200200200200200Südufer Ruppiner See from Wustrau-Altfriesack 2020-05-15 02.jpg
200200200200200200200200200BoNM Indonesia Silver Hires.png
200200200200200200200200200Autorail Tourinnes-Saint-Lambert.jpg
200200200200200200200200200Mýtna - ulica obce -a.jpg
200200200200200200200200200Südufer Ruppiner See from Wustrau-Altfriesack 2020-05-15 01.jpg
20020020020020020020020020020200509 114119 BKM Białystok.jpg
200200200200200200200200200Street near Zietenhorst Fehrbellin 2020-05-15 02.jpg
200200404404404404404404404Dr. Brenda M. Greene.jpg
200200404404404404404404404Terrible scene at Manders.jpg
200200404404404404404404404المخرج ريان.png
200200200200200200200200200Yorkshire Ridings.svg
200200200200200200200200200Street near Zietenhorst Fehrbellin 2020-05-15 01.jpg
200200200200200200200200200Indus sign 60.png
200200200200200200200200200Śnieciska 9AH-11.jpg
200200200200200200200200200Accès au tramway depuis le cimetière nouveau de Villeurbanne.jpg
200200200200200200200200200Salzstelle Nauen 2020-05-15 19.jpg
200200200200200200200200200DL1 1714Blue Angels (49916605183).jpg
200200200200200200200200200DL1 1821Blue Angels (49916605383).jpg
200200200200200200200200200DL1 1791Blue Angels (49916605333).jpg
200200200200200200200200200DL1 1781Blue Angels (49917119776).jpg
200200200200200200200200200DL1 1689Blue Angels (49917419497).jpg
200200200200200200200200200200520-N-UG979-0095 (49917119396).jpg
200200200200200200200200200DL1 1606Blue Angels (49916605003).jpg
200200200200200200200200200200520-N-BD231-0952 (49917548027).jpg
200200200200200200200200200The United States Naval Academy holds the fifth swearing-in event for the Class of 2020 (49916609908).jpg
200200200200200200200200200Nelu Tătaru 2020.png
20020020020020020020020020020200509 113245 Biała in Białystok May 2020.jpg
200200200200200200200200200200520-N-MC499-0602 (49917419187).jpg
200200200200200200200200200Salzstelle Nauen 2020-05-15 18.jpg
200200200200200200200200200200520-N-MC499-0583 (49917418967).jpg
200200200200200200200200200The United States Naval Academy holds the fifth swearing-in event for the Class of 2020 (49917424487).jpg
200200200200200200200200200200520-N-ID678-0209 (49917118496).jpg
200200200200200200200200200200520-N-BD231-0917 (49917418717).jpg
200200200200200200200200200Rajat Singla Entrepreneur.jpg
200200404404404404404404404Solute dislocation diffusion schematic.png
200200200200200200200200200Salzstelle Nauen 2020-05-15 17.jpg
200200200200200200200200200BoNM Indonesia Bronze Hires.png
200200404404404404404404404Unknown error code 992029-20--2.png
200200200200200200200200200Salzstelle Nauen 2020-05-15 16.jpg
200200200200200200200200200LCL Infanterie.png
200200200200200200200200200Salzstelle Nauen 2020-05-15 15.jpg
200200200200200200200200200Chadli klibi.JPG
200200200200200200200200200Salzstelle Nauen 2020-05-15 14.jpg
200200200200200200200200200Ornithogalum umbellatum 2020-05-22 8907.jpg
200200200200200200200200200Ornithogalum umbellatum 2020-05-22 8904.jpg
200200200200200200200200200Ornithogalum umbellatum 2020-05-22 8911.jpg
200200200200200200200200200200520-N-ID678-0217 (49917307661).jpg
200200200200200200200200200Salzstelle Nauen 2020-05-15 13.jpg
200200404404404404404404404Wilde Stiefmütterchen im Wald.png

For posterity:

(echo 'test test2 he ca en de it wikidat wvoyen file' | tr ' ' '\t' ; \
for FILE in \
..... \
    ; do ; \
        curl -sLI https://{{test,test2,he,ca,en,de,it}.wikipedia,wikidata,en.wikivoyage}.org/wiki/File:"$(echo ${FILE} | tr ' ' '_')"  \
            | grep '^HTTP/2' | grep -v ' 301' | sed 's!HTTP/2 !!' | tr -d '\r' | tr '\n' '\t' ; \
        echo "$FILE" ; \
done) | sed 's/\t/ | /g; s/^/| /;s/$/ |/'

For one file, https://commons.wikimedia.org/wiki/File:Terrible_scene_at_Manders.jpg, I iterated over every wiki listed in wikipedia.dblist.

The arbcom and wg-en wikis returned 200s, but that was just because they were serving a login page. I omitted them here.

It does look like only the test and test2 wikipedias "know" how to serve these files. Sorted by response code and then by wiki:

200test2.wikipedia.org
200test.wikipedia.org
404aa.wikipedia.org
404ab.wikipedia.org
404ace.wikipedia.org
404ady.wikipedia.org
404af.wikipedia.org
404ak.wikipedia.org
404als.wikipedia.org
404am.wikipedia.org
404ang.wikipedia.org
404an.wikipedia.org
404arc.wikipedia.org
404ar.wikipedia.org
404arz.wikipedia.org
404ast.wikipedia.org
404as.wikipedia.org
404atj.wikipedia.org
404av.wikipedia.org
404awa.wikipedia.org
404ay.wikipedia.org
404azb.wikipedia.org
404az.wikipedia.org
404ban.wikipedia.org
404bar.wikipedia.org
404bat-smg.wikipedia.org
404ba.wikipedia.org
404bcl.wikipedia.org
404be.wikipedia.org
404be-x-old.wikipedia.org
404bg.wikipedia.org
404bh.wikipedia.org
404bi.wikipedia.org
404bjn.wikipedia.org
404bm.wikipedia.org
404bn.wikipedia.org
404bo.wikipedia.org
404bpy.wikipedia.org
404br.wikipedia.org
404bs.wikipedia.org
404bug.wikipedia.org
404bxr.wikipedia.org
404ca.wikipedia.org
404cbk-zam.wikipedia.org
404cdo.wikipedia.org
404ceb.wikipedia.org
404ce.wikipedia.org
404cho.wikipedia.org
404chr.wikipedia.org
404ch.wikipedia.org
404chy.wikipedia.org
404ckb.wikipedia.org
404co.wikipedia.org
404crh.wikipedia.org
404cr.wikipedia.org
404csb.wikipedia.org
404cs.wikipedia.org
404cu.wikipedia.org
404cv.wikipedia.org
404cy.wikipedia.org
404da.wikipedia.org
404de.wikipedia.org
404din.wikipedia.org
404diq.wikipedia.org
404dsb.wikipedia.org
404dty.wikipedia.org
404dv.wikipedia.org
404dz.wikipedia.org
404ee.wikipedia.org
404el.wikipedia.org
404eml.wikipedia.org
404en.wikipedia.org
404eo.wikipedia.org
404es.wikipedia.org
404et.wikipedia.org
404eu.wikipedia.org
404ext.wikipedia.org
404fa.wikipedia.org
404ff.wikipedia.org
404fiu-vro.wikipedia.org
404fi.wikipedia.org
404fj.wikipedia.org
404fo.wikipedia.org
404frp.wikipedia.org
404frr.wikipedia.org
404fr.wikipedia.org
404fur.wikipedia.org
404fy.wikipedia.org
404gag.wikipedia.org
404gan.wikipedia.org
404ga.wikipedia.org
404gcr.wikipedia.org
404gd.wikipedia.org
404glk.wikipedia.org
404gl.wikipedia.org
404gn.wikipedia.org
404gom.wikipedia.org
404gor.wikipedia.org
404got.wikipedia.org
404gu.wikipedia.org
404gv.wikipedia.org
404hak.wikipedia.org
404ha.wikipedia.org
404haw.wikipedia.org
404he.wikipedia.org
404hif.wikipedia.org
404hi.wikipedia.org
404ho.wikipedia.org
404hr.wikipedia.org
404hsb.wikipedia.org
404ht.wikipedia.org
404hu.wikipedia.org
404hy.wikipedia.org
404hyw.wikipedia.org
404hz.wikipedia.org
404ia.wikipedia.org
404id.wikipedia.org
404ie.wikipedia.org
404ig.wikipedia.org
404ii.wikipedia.org
404ik.wikipedia.org
404ilo.wikipedia.org
404inh.wikipedia.org
404io.wikipedia.org
404is.wikipedia.org
404it.wikipedia.org
404iu.wikipedia.org
404jam.wikipedia.org
404ja.wikipedia.org
404jbo.wikipedia.org
404jv.wikipedia.org
404kaa.wikipedia.org
404kab.wikipedia.org
404ka.wikipedia.org
404kbd.wikipedia.org
404kbp.wikipedia.org
404kg.wikipedia.org
404ki.wikipedia.org
404kj.wikipedia.org
404kk.wikipedia.org
404kl.wikipedia.org
404km.wikipedia.org
404kn.wikipedia.org
404koi.wikipedia.org
404ko.wikipedia.org
404krc.wikipedia.org
404kr.wikipedia.org
404ksh.wikipedia.org
404ks.wikipedia.org
404ku.wikipedia.org
404kv.wikipedia.org
404kw.wikipedia.org
404ky.wikipedia.org
404lad.wikipedia.org
404la.wikipedia.org
404lbe.wikipedia.org
404lb.wikipedia.org
404lez.wikipedia.org
404lfn.wikipedia.org
404lg.wikipedia.org
404lij.wikipedia.org
404li.wikipedia.org
404lmo.wikipedia.org
404ln.wikipedia.org
404lo.wikipedia.org
404lrc.wikipedia.org
404ltg.wikipedia.org
404lt.wikipedia.org
404lv.wikipedia.org
404mai.wikipedia.org
404map-bms.wikipedia.org
404mdf.wikipedia.org
404mg.wikipedia.org
404mhr.wikipedia.org
404mh.wikipedia.org
404min.wikipedia.org
404mi.wikipedia.org
404mk.wikipedia.org
404ml.wikipedia.org
404mn.wikipedia.org
404mnw.wikipedia.org
404mrj.wikipedia.org
404mr.wikipedia.org
404ms.wikipedia.org
404mt.wikipedia.org
404mus.wikipedia.org
404mwl.wikipedia.org
404myv.wikipedia.org
404my.wikipedia.org
404mzn.wikipedia.org
404nah.wikipedia.org
404nap.wikipedia.org
404na.wikipedia.org
404nds-nl.wikipedia.org
404nds.wikipedia.org
404ne.wikipedia.org
404new.wikipedia.org
404ng.wikipedia.org
404nl.wikipedia.org
404nn.wikipedia.org
404nov.wikipedia.org
404no.wikipedia.org
404nqo.wikipedia.org
404nrm.wikipedia.org
404nso.wikipedia.org
404nv.wikipedia.org
404ny.wikipedia.org
404oc.wikipedia.org
404olo.wikipedia.org
404om.wikipedia.org
404or.wikipedia.org
404os.wikipedia.org
404pag.wikipedia.org
404pam.wikipedia.org
404pap.wikipedia.org
404pa.wikipedia.org
404pcd.wikipedia.org
404pdc.wikipedia.org
404pfl.wikipedia.org
404pih.wikipedia.org
404pi.wikipedia.org
404pl.wikipedia.org
404pms.wikipedia.org
404pnb.wikipedia.org
404pnt.wikipedia.org
404ps.wikipedia.org
404pt.wikipedia.org
404qu.wikipedia.org
404rm.wikipedia.org
404rmy.wikipedia.org
404rn.wikipedia.org
404roa-rup.wikipedia.org
404roa-tara.wikipedia.org
404ro.wikipedia.org
404rue.wikipedia.org
404ru.wikipedia.org
404rw.wikipedia.org
404sah.wikipedia.org
404sat.wikipedia.org
404sa.wikipedia.org
404scn.wikipedia.org
404sco.wikipedia.org
404sc.wikipedia.org
404sd.wikipedia.org
404se.wikipedia.org
404sg.wikipedia.org
404shn.wikipedia.org
404sh.wikipedia.org
404simple.wikipedia.org
404si.wikipedia.org
404sk.wikipedia.org
404sl.wikipedia.org
404sm.wikipedia.org
404sn.wikipedia.org
404so.wikipedia.org
404sq.wikipedia.org
404srn.wikipedia.org
404sr.wikipedia.org
404ss.wikipedia.org
404stq.wikipedia.org
404st.wikipedia.org
404su.wikipedia.org
404sv.wikipedia.org
404sw.wikipedia.org
404szl.wikipedia.org
404szy.wikipedia.org
404ta.wikipedia.org
404tcy.wikipedia.org
404ten.wikipedia.org
404tet.wikipedia.org
404te.wikipedia.org
404tg.wikipedia.org
404th.wikipedia.org
404ti.wikipedia.org
404tk.wikipedia.org
404tl.wikipedia.org
404tn.wikipedia.org
404to.wikipedia.org
404tpi.wikipedia.org
404tr.wikipedia.org
404ts.wikipedia.org
404tt.wikipedia.org
404tum.wikipedia.org
404tw.wikipedia.org
404tyv.wikipedia.org
404ty.wikipedia.org
404udm.wikipedia.org
404ug.wikipedia.org
404uk.wikipedia.org
404ur.wikipedia.org
404uz.wikipedia.org
404vec.wikipedia.org
404vep.wikipedia.org
404ve.wikipedia.org
404vi.wikipedia.org
404vls.wikipedia.org
404vo.wikipedia.org
404war.wikipedia.org
404wa.wikipedia.org
404wo.wikipedia.org
404wuu.wikipedia.org
404xal.wikipedia.org
404xh.wikipedia.org
404xmf.wikipedia.org
404yi.wikipedia.org
404yo.wikipedia.org
404za.wikipedia.org
404zea.wikipedia.org
404zh-classical.wikipedia.org
404zh-min-nan.wikipedia.org
404zh.wikipedia.org
404zh-yue.wikipedia.org
404zu.wikipedia.org

https://commons.wikimedia.org/wiki/File:Fioan_Fiedler.jpg is, uh, neatly partitioned along the alphabet in terms of which wikipedias it is accessible from:

200krc.wikipedia.org
200kr.wikipedia.org
200ksh.wikipedia.org
200ks.wikipedia.org
200ku.wikipedia.org
200kv.wikipedia.org
200kw.wikipedia.org
200ky.wikipedia.org
200lad.wikipedia.org
200la.wikipedia.org
200lbe.wikipedia.org
200lb.wikipedia.org
200lez.wikipedia.org
200lfn.wikipedia.org
200lg.wikipedia.org
200lij.wikipedia.org
200li.wikipedia.org
200lmo.wikipedia.org
200ln.wikipedia.org
200lo.wikipedia.org
200lrc.wikipedia.org
200ltg.wikipedia.org
200lt.wikipedia.org
200lv.wikipedia.org
200mai.wikipedia.org
200map-bms.wikipedia.org
200mdf.wikipedia.org
200mg.wikipedia.org
200mhr.wikipedia.org
200mh.wikipedia.org
200min.wikipedia.org
200mi.wikipedia.org
200mk.wikipedia.org
200ml.wikipedia.org
200mn.wikipedia.org
200mnw.wikipedia.org
200mrj.wikipedia.org
200mr.wikipedia.org
200ms.wikipedia.org
200mt.wikipedia.org
200mus.wikipedia.org
200mwl.wikipedia.org
200myv.wikipedia.org
200my.wikipedia.org
200mzn.wikipedia.org
200nah.wikipedia.org
200nap.wikipedia.org
200na.wikipedia.org
200nds-nl.wikipedia.org
200nds.wikipedia.org
200ne.wikipedia.org
200new.wikipedia.org
200ng.wikipedia.org
200nl.wikipedia.org
200nn.wikipedia.org
200nov.wikipedia.org
200no.wikipedia.org
200nqo.wikipedia.org
200nrm.wikipedia.org
200nso.wikipedia.org
200nv.wikipedia.org
200ny.wikipedia.org
200oc.wikipedia.org
200olo.wikipedia.org
200om.wikipedia.org
200or.wikipedia.org
200os.wikipedia.org
200pag.wikipedia.org
200pam.wikipedia.org
200pap.wikipedia.org
200pa.wikipedia.org
200pcd.wikipedia.org
200pdc.wikipedia.org
200pfl.wikipedia.org
200pih.wikipedia.org
200pi.wikipedia.org
200pl.wikipedia.org
200pms.wikipedia.org
200pnb.wikipedia.org
200pnt.wikipedia.org
200ps.wikipedia.org
200pt.wikipedia.org
200qu.wikipedia.org
200rm.wikipedia.org
200rmy.wikipedia.org
200rn.wikipedia.org
200roa-rup.wikipedia.org
200roa-tara.wikipedia.org
200ro.wikipedia.org
200rue.wikipedia.org
200ru.wikipedia.org
200rw.wikipedia.org
200sah.wikipedia.org
200sat.wikipedia.org
200sa.wikipedia.org
200scn.wikipedia.org
200sco.wikipedia.org
200sc.wikipedia.org
200sd.wikipedia.org
200se.wikipedia.org
200sg.wikipedia.org
200shn.wikipedia.org
200sh.wikipedia.org
200simple.wikipedia.org
200si.wikipedia.org
200sk.wikipedia.org
200sl.wikipedia.org
200sm.wikipedia.org
200sn.wikipedia.org
200so.wikipedia.org
200sq.wikipedia.org
200srn.wikipedia.org
200sr.wikipedia.org
200ss.wikipedia.org
200stq.wikipedia.org
200st.wikipedia.org
200su.wikipedia.org
200sv.wikipedia.org
200sw.wikipedia.org
200szl.wikipedia.org
200szy.wikipedia.org
200ta.wikipedia.org
200tcy.wikipedia.org
200ten.wikipedia.org
200test2.wikipedia.org
200test.wikipedia.org
200tet.wikipedia.org
200te.wikipedia.org
200tg.wikipedia.org
200th.wikipedia.org
200ti.wikipedia.org
200tk.wikipedia.org
200tl.wikipedia.org
200tn.wikipedia.org
200to.wikipedia.org
200tpi.wikipedia.org
200tr.wikipedia.org
200ts.wikipedia.org
200tt.wikipedia.org
200tum.wikipedia.org
200tw.wikipedia.org
200tyv.wikipedia.org
200ty.wikipedia.org
200udm.wikipedia.org
200ug.wikipedia.org
200uk.wikipedia.org
200ur.wikipedia.org
200uz.wikipedia.org
200vec.wikipedia.org
200vep.wikipedia.org
200ve.wikipedia.org
200vi.wikipedia.org
200vls.wikipedia.org
200vo.wikipedia.org
200war.wikipedia.org
200wa.wikipedia.org
200wo.wikipedia.org
200wuu.wikipedia.org
200xal.wikipedia.org
200xh.wikipedia.org
200xmf.wikipedia.org
200yi.wikipedia.org
200yo.wikipedia.org
200za.wikipedia.org
200zea.wikipedia.org
200zh-classical.wikipedia.org
200zh-min-nan.wikipedia.org
200zh.wikipedia.org
200zh-yue.wikipedia.org
200zu.wikipedia.org
404aa.wikipedia.org
404ab.wikipedia.org
404ace.wikipedia.org
404ady.wikipedia.org
404af.wikipedia.org
404ak.wikipedia.org
404als.wikipedia.org
404am.wikipedia.org
404ang.wikipedia.org
404an.wikipedia.org
404arc.wikipedia.org
404ar.wikipedia.org
404arz.wikipedia.org
404ast.wikipedia.org
404as.wikipedia.org
404atj.wikipedia.org
404av.wikipedia.org
404awa.wikipedia.org
404ay.wikipedia.org
404azb.wikipedia.org
404az.wikipedia.org
404ban.wikipedia.org
404bar.wikipedia.org
404bat-smg.wikipedia.org
404ba.wikipedia.org
404bcl.wikipedia.org
404be.wikipedia.org
404be-x-old.wikipedia.org
404bg.wikipedia.org
404bh.wikipedia.org
404bi.wikipedia.org
404bjn.wikipedia.org
404bm.wikipedia.org
404bn.wikipedia.org
404bo.wikipedia.org
404bpy.wikipedia.org
404br.wikipedia.org
404bs.wikipedia.org
404bug.wikipedia.org
404bxr.wikipedia.org
404ca.wikipedia.org
404cbk-zam.wikipedia.org
404cdo.wikipedia.org
404ceb.wikipedia.org
404ce.wikipedia.org
404cho.wikipedia.org
404chr.wikipedia.org
404ch.wikipedia.org
404chy.wikipedia.org
404ckb.wikipedia.org
404co.wikipedia.org
404crh.wikipedia.org
404cr.wikipedia.org
404csb.wikipedia.org
404cs.wikipedia.org
404cu.wikipedia.org
404cv.wikipedia.org
404cy.wikipedia.org
404da.wikipedia.org
404de.wikipedia.org
404din.wikipedia.org
404diq.wikipedia.org
404dsb.wikipedia.org
404dty.wikipedia.org
404dv.wikipedia.org
404dz.wikipedia.org
404ee.wikipedia.org
404el.wikipedia.org
404eml.wikipedia.org
404en.wikipedia.org
404eo.wikipedia.org
404es.wikipedia.org
404et.wikipedia.org
404eu.wikipedia.org
404ext.wikipedia.org
404fa.wikipedia.org
404ff.wikipedia.org
404fiu-vro.wikipedia.org
404fi.wikipedia.org
404fj.wikipedia.org
404fo.wikipedia.org
404frp.wikipedia.org
404frr.wikipedia.org
404fr.wikipedia.org
404fur.wikipedia.org
404fy.wikipedia.org
404gag.wikipedia.org
404gan.wikipedia.org
404ga.wikipedia.org
404gcr.wikipedia.org
404gd.wikipedia.org
404glk.wikipedia.org
404gl.wikipedia.org
404gn.wikipedia.org
404gom.wikipedia.org
404gor.wikipedia.org
404got.wikipedia.org
404gu.wikipedia.org
404gv.wikipedia.org
404hak.wikipedia.org
404ha.wikipedia.org
404haw.wikipedia.org
404he.wikipedia.org
404hif.wikipedia.org
404hi.wikipedia.org
404ho.wikipedia.org
404hr.wikipedia.org
404hsb.wikipedia.org
404ht.wikipedia.org
404hu.wikipedia.org
404hy.wikipedia.org
404hyw.wikipedia.org
404hz.wikipedia.org
404ia.wikipedia.org
404id.wikipedia.org
404ie.wikipedia.org
404ig.wikipedia.org
404ii.wikipedia.org
404ik.wikipedia.org
404ilo.wikipedia.org
404inh.wikipedia.org
404io.wikipedia.org
404is.wikipedia.org
404it.wikipedia.org
404iu.wikipedia.org
404jam.wikipedia.org
404ja.wikipedia.org
404jbo.wikipedia.org
404jv.wikipedia.org
404kaa.wikipedia.org
404kab.wikipedia.org
404ka.wikipedia.org
404kbd.wikipedia.org
404kbp.wikipedia.org
404kg.wikipedia.org
404ki.wikipedia.org
404kj.wikipedia.org
404kk.wikipedia.org
404kl.wikipedia.org
404km.wikipedia.org
404kn.wikipedia.org
404koi.wikipedia.org
404ko.wikipedia.org

Don't know if this is related, but thought I'd mention it. About the same time the issue for this ticket was mentioned on Commons, a preview oddity began on English Wikipedia (nowhere else for me). If I open the edit window on an article, I can type. Clicking on Presiew wipes out the edit and won't show me the preview screen. Not browser specific. I have not been able to duplicate that on Commons or Wikisource.

Multichill added a subscriber: Tgr.May 22 2020, 8:53 PM

Could T250767 be related @Tgr ?

CDanis triaged this task as High priority.May 22 2020, 8:56 PM
CDanis renamed this task from Some recent uploads to Commons are not avaliable on other wikis to Some (recent?) uploads to Commons are not avaliable on other wikis.May 22 2020, 9:09 PM
CDanis added a subscriber: aaron.

AIUI, @aaron suspects that (newly-added?) WANObjectCache memcache key coalescing support might be at fault here.

Change 598118 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] filerepo: use makeGlobalKey() in ForiegnDBViaLBRepo::getSharedCacheKey()

https://gerrit.wikimedia.org/r/598118

AIUI, @aaron suspects that (newly-added?) WANObjectCache memcache key coalescing support might be at fault here.

Yeah-ish. It was a pre-existing bug exposed by key-coalescing (ref T252564). The ForeignFile code in MW was constructing its own cache keys (as if they were wiki-local) rather than makeGlobalKey().

Krinkle assigned this task to aaron.May 22 2020, 9:29 PM
Krinkle added a project: Performance-Team.

Change 598118 merged by jenkins-bot:
[mediawiki/core@master] filerepo: use makeGlobalKey() in ForiegnDBViaLBRepo::getSharedCacheKey()

https://gerrit.wikimedia.org/r/598118

Change 598120 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.32] filerepo: use makeGlobalKey() in ForiegnDBViaLBRepo::getSharedCacheKey()

https://gerrit.wikimedia.org/r/598120

Change 598122 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.31] filerepo: use makeGlobalKey() in ForiegnDBViaLBRepo::getSharedCacheKey()

https://gerrit.wikimedia.org/r/598122

Speravir added a subscriber: Speravir.EditedMay 22 2020, 10:14 PM

Info: I renamed File:Fioan Fiedler.jpg to File:Fiona Fiedler.jpg (typo fix). And I had noticed before that in :de:Fiona Fiedler a message box appeared on top informing about unflagged changes of a file or template. I did the flagging then – it was the file. By default unflagged changes are not visible to readers in dewiki.

Edit: Same situation with the unflagged file changes for :de:Lucille-Mareen Mayr.

Edit2: Oooh, now after the changes I cannot see the file in :de:Fiona Fiedler anymore!

Change 598122 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.31] filerepo: use makeGlobalKey() in ForiegnDBViaLBRepo::getSharedCacheKey()

https://gerrit.wikimedia.org/r/598122

Change 598120 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.32] filerepo: use makeGlobalKey() in ForiegnDBViaLBRepo::getSharedCacheKey()

https://gerrit.wikimedia.org/r/598120

CDanis reassigned this task from aaron to Krinkle.May 22 2020, 10:32 PM
Krinkle closed this task as Resolved.May 22 2020, 10:39 PM
Krinkle reassigned this task from Krinkle to aaron.
Dinoguy1000 renamed this task from Some (recent?) uploads to Commons are not avaliable on other wikis to Some (recent?) uploads to Commons are not available on other wikis.May 23 2020, 3:59 AM
Kanags added a subscriber: Kanags.May 23 2020, 7:29 AM

I have the same issue with the uploaded image: https://commons.wikimedia.org/wiki/File:S._S._Arunagirinathar.jpg. Please see: https://ta.wikipedia.org/s/f7t. Thank you.

I have a potential idea why this bug occurs. I was editing the Wikipedia page and I had already typed in the code to include the file name that I was going to upload. I speculate that when I entered a preview mode for the Wikipedia page, the Wikipedia might have somehow allocated the file name (of yet non-existent file). Then, when I actually uploaded the file on Commons, perhaps there was a conflict with the file name between the two environments. This is just a guess. I hope it might help.

Fae added a subscriber: Fae.May 23 2020, 11:10 AM
jijiki added a subscriber: jijiki.May 23 2020, 2:18 PM

Of the 500 most recent uploads at the time I pulled the list, 49/500 were affected:

mw.orgtesttest2hecaendeitwikidatwvoyenfile
404404404404404404404404404404File:0d524ca8e00c50a7caa9de5d40fc3544504f468egfghfghftr.svg
404404404404404404404404404404File:209fc9c7b0f91d3c59ef0dab8a3987cb28ae01f4hhhhhhh.svg
404404404404404404404404404404File:54427428223-file.jpg
404404404404404404404404404404File:86a6c3ed9ce7f709bb52928b3f6ff2a3862e3422ttttttttt.svg
404404404404404404404404404404File:Abb-2 Südseite-Haus-Walser Artikel-Haus-Walser Scheitenberger.jpg
404404404404404404404404404404File:Acte de naissance d'Adèle Feigneaux (1827).jpg
404404404404404404404404404404File:Barahtnnfhgg.svg
404404404404404404404404404404File:Bgm-34.jpg
404404404404404404404404404404File:BGM-34.jpg
404404404404404404404404404404File:BGM-34 Strike Drone equipped with AGM-65 Maverick.jpg
404404404404404404404404404404File:Biểu đồ dự đoán chi phí đầu tư vào ICT theo IDC.png
404404404404404404404404404404File:Burgerhuis en achterliggende werkplaatsen.jpg
404404404404404404404404404404File:Cherry Blossoms at Parc de Sceaux, Paris.jpg
404404404404404404404404404404File:Csöngedmajor.jpg
404404404404404404404404404404File:Die Gartenlaube (1887) b 036 1.jpg
404404404404404404404404404404File:Die Gartenlaube (1887) b 036 2.jpg
404404404404404404404404404404File:Eclectisch burgerhuis Emelgem.jpg
404404404404404404404404404404File:Eclectisch herenhuis.jpg
404404404404404404404404404404File:E gli americani vincono.gif
404404404404404404404404404404File:GildenhuisWerkerslust.jpg
404404404404404404404404404404File:Graphe activite E.jpg
404404404404404404404404404404File:Hans A. Hey.jpg
404404404404404404404404404404File:Hotel Sindbad Multan Building.jpg
404404404404404404404404404404File:Jānis Reinis.jpg
404404404404404404404404404404File:John Gorka by Jos 4-2019 (1).jpg
404404404404404404404404404404File:John Gorka in The Hague, April 2019 Photo Jos van Vliet 2019 .jpg
404404404404404404404404404404File:John Gorka (Oct25 2017) Photo Jos van Vliet -3.jpg
404404404404404404404404404404File:Kloosterzusters Heilige Vincentius à Paulo.jpg
404404404404404404404404404404File:LL-Q1860 (eng)-Vealhurl-concurrent.wav
404404404404404404404404404404File:LL-Q1860 (eng)-Vealhurl-disability.wav
404404404404404404404404404404File:LL-Q1860 (eng)-Vealhurl-rehearsal.wav
404404404404404404404404404404File:Marc Giraud.jpg
404404404404404404404404404404File:Moskovsky73Sadyrin.jpg
404404404404404404404404404404File:Neoclassicistisch herenhuis Emelgem.jpg
404404404404404404404404404404File:Orxan-1.jpg
404404404404404404404404404404File:President George W. Bush sits with Bob Johnson and Kathy Boden.jpg
404404404404404404404404404404File:Roberto Frontoni.jpg
404404404404404404404404404404File:Roby biografia.jpg
404404404404404404404404404404File:Scarlatti, Sonate K. 367 - ms. Parme X,7.jpg
404404404404404404404404404404File:Scarlatti, Sonate K. 367 - ms. Parme X,7 (page 2).jpg
404404404404404404404404404404File:Scarlatti, Sonate K. 367 - ms. Parme X,7 (page 3).jpg
404404404404404404404404404404File:Scarlatti, Sonate K. 367 - ms. Parme X,7 (page 4).jpg
404404404404404404404404404404File:Schoenenfabriek La Main d'Art d'Iseghem.jpg
404404404404404404404404404404File:Subte Línea A.svg
404404404404404404404404404404File:Wilhelm Fröhlich ca 1913.jpg
404404404404404404404404404404File:Winkelhuizen Emelgem.jpg
404404404404404404404404404404File:Woonhuis en schoenfabriek Emelgem.jpg
404404404404404404404404404404File:Δήμος Κωνσταντίνου.png
404404404404404404404404404404File:Окерблом.jpg
Krinkle updated the task description. (Show Details)May 23 2020, 2:46 PM

The usual way of displaying images, with [[File:Filename.jpg|...]], does not work on svwp for this image:
https://commons.wikimedia.org/wiki/File:Tjuvbackarna,_Kalmar,_betesmark_med_fornlämningar.jpg
But it is still available on svwp through this path:
https://upload.wikimedia.org/wikipedia/commons/c/c8/Tjuvbackarna%2C_Kalmar%2C_betesmark_med_fornlämningar.jpg
I don't know if that means anything, but thought i should mention it, in case it gives any further clues.

Change 598118 merged by jenkins-bot:
[mediawiki/core@master] filerepo: use makeGlobalKey() in ForiegnDBViaLBRepo::getSharedCacheKey()

https://gerrit.wikimedia.org/r/598118

@aaron It looks like we're still seeing the same issues. Stuff from before yesterday is working again (possibly due to the forced churn of this patch), but new stuff remains broken. I suspect the problem is what LocalRepo::getSharedCacheKey needs to be updated as well.

When Commons purges via LocalRepo::getSharedCacheKey, that should affect what enwiki reads via ForiegnDBViaLBRepo::getSharedCacheKey(), right?

Whilw super fragile before, but it seems that implode( ':', $this->wiki, ...$args ) in ForiegnDBViaLBRepo, would have likely matched the result from wanCache->makeKey( ...$args ); in most cases.

Change 598182 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] filerepo: make LocalRepo::getSharedCacheKey() use makeGlobalKey()

https://gerrit.wikimedia.org/r/598182

Change 598185 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.32] filerepo: make LocalRepo::getSharedCacheKey() use makeGlobalKey()

https://gerrit.wikimedia.org/r/598185

Change 598186 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.31] filerepo: make LocalRepo::getSharedCacheKey() use makeGlobalKey()

https://gerrit.wikimedia.org/r/598186

Change 598185 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.32] filerepo: make LocalRepo::getSharedCacheKey() use makeGlobalKey()

https://gerrit.wikimedia.org/r/598185

Change 598186 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.31] filerepo: make LocalRepo::getSharedCacheKey() use makeGlobalKey()

https://gerrit.wikimedia.org/r/598186

Change 598182 merged by jenkins-bot:
[mediawiki/core@master] filerepo: make LocalRepo::getSharedCacheKey() use makeGlobalKey()

https://gerrit.wikimedia.org/r/598182

Change 598190 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] filerepo: bump LocalFile::VERSION following 88e17d3f7c78

https://gerrit.wikimedia.org/r/598190

Change 598191 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.32] filerepo: bump LocalFile::VERSION following 88e17d3f7c78

https://gerrit.wikimedia.org/r/598191

Change 598193 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.31] filerepo: bump LocalFile::VERSION following 88e17d3f7c78

https://gerrit.wikimedia.org/r/598193

Change 598191 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.32] filerepo: bump LocalFile::VERSION following 88e17d3f7c78

https://gerrit.wikimedia.org/r/598191

BMacZero removed a subscriber: BMacZero.May 23 2020, 6:48 PM

Change 598193 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.31] filerepo: bump LocalFile::VERSION following 88e17d3f7c78

https://gerrit.wikimedia.org/r/598193

Change 598190 merged by jenkins-bot:
[mediawiki/core@master] filerepo: bump LocalFile::VERSION following 88e17d3f7c78

https://gerrit.wikimedia.org/r/598190

Joe lowered the priority of this task from High to Medium.May 25 2020, 7:21 AM
Joe added a subscriber: Joe.

I've been monitoring the status of new images in the following way:

for URL in $(curl -s -o - 'https://commons.wikimedia.org/wiki/Special:NewFiles?user=&mediatype%5B%5D=BITMAP&mediatype%5B%5D=ARCHIVE&mediatype%5B%5D=DRAWING&mediatype%5B%5D=UNKNOWN&start=&end=&wpFormIdentifier=specialnewimages&limit=50&offset=' | xmllint --xpath '//a[@class="galleryfilename galleryfilename-truncate"]/@href' - | sed -e 's/href=//' -e 's/"//g');  do \
echo -n "$URL: "; \
curl -sLI "https://en.wikipedia.org$URL" | grep '^HTTP/2'; \
done

I could not find any image showing the behaviour described above in the last hour or so. So I guess the bug is solved in production for now, but I guess what caused it still needs to be explored. Changing priority accordingly.

Krinkle claimed this task.May 26 2020, 7:58 PM

To write incident report.

Gilles moved this task from Inbox to Doing on the Performance-Team board.May 26 2020, 7:58 PM
MGA73 added a subscriber: MGA73.May 29 2020, 6:29 AM

Perhaps there still is a problem per https://phabricator.wikimedia.org/T253952 ? An image not showing up.

That is not this bug.